Package Details: vitis 2025.2-1

Git Clone URL: https://aur.archlinux.org/vitis.git (read-only, click to copy)
Package Base: vitis
Description: FPGA/CPLD design suite for Xilinx devices
Upstream URL: https://www.xilinx.com/products/design-tools/vitis.html
Licenses: custom
Conflicts: vivado
Provides: vivado
Submitter: Freed
Maintainer: Freed (ccorn)
Last Packager: ccorn
Votes: 4
Popularity: 0.008353
First Submitted: 2023-04-21 03:30 (UTC)
Last Updated: 2026-02-20 10:19 (UTC)

Required by (15)

Sources (2)

Latest Comments

1 2 3 Next › Last »

Maaike commented on 2026-02-12 08:55 (UTC)

Thanks, sorry I should have looked into the PKG. I do not have 375GB free space. Will try another way if possible.

ccorn commented on 2026-02-11 16:15 (UTC) (edited on 2026-02-11 17:40 (UTC) by ccorn)

@Maaike: There is no persistent download URL available, therefore you are supposed to download that huge source file yourself, locating it via the Vitis download page and place it beside the PKGBUILD.

From then on, things might go smoothly. However, as the PKGBUILD comment section says:

# No refunds for broken AUR helpers, just use make(chroot)pkg.

Other things to consider: Huge free disk space required. Normally I use a tmpfs filesystem for packaging, but I don't have enough RAM for packaging this hunk of software in a tmpfs. AUR helpers might be affected in the same way. Cf. the comments in the PKGBUILD.

Maaike commented on 2026-02-11 15:11 (UTC) (edited on 2026-02-11 15:12 (UTC) by Maaike)

It is not working unfortunately:

$ yay -S vitis
AUR Explicit (1): vitis-2025.2-1
:: PKGBUILD up to date, skipping download: vitis
  1 vitis                            (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
  1 vitis                            (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
==> Making package: vitis 2025.2-1 (Wed Feb 11 16:10:15 2026)
==> Retrieving sources...
  -> Downloading FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar...
curl: (37) Could not open file /FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar
==> ERROR: Failure while downloading file:///FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar
    Aborting...
 -> error downloading sources: /home/.cache/yay/vitis 
         context: exit status 1 


:: (1/1) Parsing SRCINFO: vitis
==> Making package: vitis 2025.2-1 (Wed Feb 11 16:10:16 2026)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar...
curl: (37) Could not open file /FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar
==> ERROR: Failure while downloading file:///FPGAs_AdaptiveSoCs_Unified_SDI_2025.2_1114_2157.tar
    Aborting...
 -> error making: vitis-exit status 1
 -> Failed to install the following packages. Manual intervention is required:
vitis - exit status 1

mys31f commented on 2025-10-22 23:13 (UTC)

I don't know when it's gonna happen, but AMD's been saying that 2025.2 won't have the single file download option anymore, there's only going to be the unified web based one going forward apparently

ccorn commented on 2025-09-12 20:00 (UTC)

@ercan1102: The launcher script /opt/Xilinx/2025.1/Vitis/bin/vitis has disabled the -new and -classic options available in previous versions, but apparently the Eclipse-based classic IDE remains installed.

The easiest workaround might be to reinstall the previous vitis-2024.2.2 package.

If you are adventurous, you can try reintroducing the -classic option to the current Vitis release. To do that, apply the following patch to the installed /opt/Xilinx/2025.1/Vitis/bin/vitis script:

--- /opt/Xilinx/2025.1/Vitis/bin/vitis.orig 2025-06-12 01:52:21.000000000 +0200
+++ /opt/Xilinx/2025.1/Vitis/bin/vitis  2025-09-12 21:15:47.633141170 +0200
@@ -171,6 +171,7 @@
 OS=`uname -s`

 noSplashPassed=0
+vitisNewOption=1
 defaultGUIOpt=0
 interactiveOption=0
 for arg in "$@"; do
@@ -189,13 +190,9 @@
   elif [[ "$arg" == "-j" || "$arg" == "--jupyter" ]]; then
     interactiveOption=1
   elif [[ "$arg" == "-new" || "$arg" == "--new" ]]; then
-    echo "Error: -new option is not supported by vitis."
-    echo "The default IDE is the new Unified Vitis IDE."
-    exit 1
+    vitisNewOption=1
   elif [[ "$arg" == "-classic" || "$arg" == "--classic" ]]; then
-    echo "Error: -classic option is not supported by vitis."
-    echo "The default IDE is the new Unified Vitis IDE."
-    exit 1
+    vitisNewOption=0
   fi
 done

@@ -247,6 +244,11 @@
   fi
 fi

+if [ $vitisNewOption == 0 ]; then
+   "$RDI_BINROOT"/loader -exec rdi_vitis "${@:2}"   # without -classic (assumed first)
+   exit $?
+fi
+
 if [ -z "$XILINX_VITIS_DATA_DIR" ]; then
   testFile=$HOME/.testFile
 else

You need to install the modified script in /opt/Xilinx/2025.1/Vitis/bin for it to work properly because it uses its path to determine Vitis installation paths.

Then, the following command launches the classic IDE:

/opt/Xilinx/2025.1/Vitis/bin/vitis -classic

This essentially sets up important environment variables and then invokes /opt/Xilinx/2025.1/Vitis/bin/loader -exec rdi_vitis.

However, there is no guarantee that the classic IDE still works as intended. After all, they removed the -classic option for a reason. Anyway, good luck!

ercan1102 commented on 2025-09-12 17:21 (UTC) (edited on 2025-09-12 17:51 (UTC) by ercan1102)

@ccorn: Yes, I am using current release (2025.1). I want to start old Vitis because my university's tutorials contain Vitis 2024.2 (/opt/Xilinx/2025.1/Vitis/eclipse/lnx64.0/eclipse).

I don't know how to set java.library.path other than -Djava.library.path, which isn't working (returns the same error).

I set LD_LIBRARY_PATH to this library folder.

ccorn commented on 2025-09-10 16:34 (UTC) (edited on 2025-09-10 16:35 (UTC) by ccorn)

@ercan1102: Not exactly sure if you refer to the current release.

Anyway, libxv_platform.so is in /opt/Xilinx/2025.1/Vitis/lib/lnx64.o, so you'd have to make sure that your java.library.path contains that.

That's probably not enough. There is a lot of environment setup happening in the usual wrapper scripts /opt/Xilinx/2025.1/Vitis/bin/vitis (which only supports the new Theia-based IDE) and /opt/Xilinx/2025.1/Vitis/bin/setupEnv.sh. You might have to write a similar wrapper script yourself.

ercan1102 commented on 2025-09-10 15:25 (UTC) (edited on 2025-09-10 15:27 (UTC) by ercan1102)

How to start old Vitis (Eclipse version)? For me it starts, but throw errors like org.eclipse.core.runtime.CoreException: Plug-in "com.xilinx.sdx.assistant" was unable to instantiate class "com.xilinx.sdx.assistant.view.SDXAssistantView"

Terminal output:

Native code library failed to load.
java.lang.UnsatisfiedLinkError: no xv_platform in java.library.path: /usr/java/packages/lib:/usr/lib64:/lib64:/lib:/usr/lib

pldubouilh commented on 2024-10-05 21:52 (UTC)

Builds and works fine - quick trick to save (a lot of) time with the final step when packaging, you can avoid the zstd pkg compression stage by building a simple tar archive with PKGEXT='.pkg.tar' makepkg

vanbwodonk commented on 2024-09-09 02:01 (UTC)

@ccorn: Thank you for the reply.

My problem is fixed when I rebuild pkg with last git commit. Some changes happen when I first build Vitis 2024.1. So maybe that's the problem.